curl --request GET \
--url https://thirdparty.qonto.com/v2/suppliers/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://thirdparty.qonto.com/v2/suppliers/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://thirdparty.qonto.com/v2/suppliers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "4d5418bb-bd0d-4df4-865c-c07afab8bb48",
"organization_id": "0f0cff65-bbc0-4a8b-887d-bb7ca8ad2614",
"name": "ACME",
"status": "unarchived",
"currency": "EUR",
"default_vat_rate": 20,
"outstanding_balance": {
"value": "22.10",
"currency": "EUR"
},
"tax_identifiers": {
"tin_number": "123456789",
"vat_number": "FR1234567"
},
"address": {
"street_address": "<string>",
"zip_code": "<string>",
"province_code": "<string>",
"city": "<string>",
"country_code": "FR"
},
"contact_info": {
"email": "<string>",
"phone_number": "<string>"
},
"e_invoicing": {
"recipient_code": "<string>"
},
"payment_details": {
"iban": "FR7630006000011234567890189"
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}Retrieve a supplier
OAuth scope: supplier_invoice.read
Retrieves the supplier identified by the id path parameter.
Sensitive fields (payment_details.iban, tax_identifiers) are masked unless the caller holds the permission to see sensitive supplier fields. outstanding_balance is only returned to callers with access to supplier invoice insights.
Authorizations
Bearer authorization header: Bearer <token>, where <token> is the access token received from the authorization server at the end of the OAuth 2.0 flow.
- Authorization URL
- https://oauth.qonto.com/oauth2/auth
- Token URL
- https://oauth.qonto.com/oauth2/token
- Refresh URL
- https://oauth.qonto.com/oauth2/token
Headers
Required only for Sandbox API requests; to get one, please sign up to the Developer Portal.
Path Parameters
"4d5418bb-bd0d-4df4-865c-c07afab8bb48"
Response
Returns the supplier identified by the id path parameter.
"4d5418bb-bd0d-4df4-865c-c07afab8bb48"
"0f0cff65-bbc0-4a8b-887d-bb7ca8ad2614"
"ACME"
"unarchived"
"EUR"
20
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?